Comment 1 for bug 2012407

Revision history for this message
Roxana Nicolescu (roxanan) wrote :

proposed fix is attached

Tested on jammy:linux:kvm-1029
ubuntu@jammy-kvm:~/ipu6-drivers$ sudo dpkg -i intel-ipu6-dkms_0~git202211220708.278b7e3d-0ubuntu0.22.04.2_amd64.deb
Selecting previously unselected package intel-ipu6-dkms.
(Reading database ... 142171 files and directories currently installed.)
Preparing to unpack intel-ipu6-dkms_0~git202211220708.278b7e3d-0ubuntu0.22.04.2_amd64.deb ...
Unpacking intel-ipu6-dkms (0~git202211220708.278b7e3d-0ubuntu0.22.04.2) ...
Setting up intel-ipu6-dkms (0~git202211220708.278b7e3d-0ubuntu0.22.04.2) ...
Loading new ipu6-drivers-0~git202211220708.278b7e3d-0ubuntu0.22.04.2 DKMS files...
Building for 5.15.0-1029-kvm
Building initial module for 5.15.0-1029-kvm
Error! The /var/lib/dkms/ipu6-drivers/0~git202211220708.278b7e3d-0ubuntu0.22.04.2/5.15.0-1029-kvm/x86_64/dkms.conf for module ipu6-drivers includes a BUILD_EXCLUSIVE directive which does not match this kernel/arch.
This indicates that it should not be built.
Skipped.